Jump to content
ars92

Dynamix updated on my 6.1.9, and now webGUI is not functioning properly

71 posts in this topic Last Reply

Recommended Posts

Hi guys,

 

it seems to be that Dynamix updated around 8 hours ago automatically and now i have this error on the top of my webGUI page, and the UI just isn't loading properly, lots of missing assets.

 

Warning: parse_ini_file(state/network.ini): failed to open stream: No such file or directory in /usr/local/emhttp/plugins/dynamix/template.php on line 43 Warning: extract() expects parameter 1 to be array, boolean given in /usr/local/emhttp/plugins/dynamix/template.php on line 43

 

 

What can I do to fix this? Any way to roll back?

 

 

EDIT: Have tried rebooting, checking disk for error (no errors were found) and still the same. The thumbdrive wasn't removed or anything during operation so I highly doubt its a thumbdrive issue.

Thanks

Share this post


Link to post

Delete the file /config/plugins/dynamix.plg on your flash device and reboot your system.

 

Are you using CA and have automatic updates enabled? Cause stock unRAID installation will never update automatically.

 

Share this post


Link to post

Delete the file /config/plugins/dynamix.plg on your flash device and reboot your system.

 

Are you using CA and have automatic updates enabled? Cause stock unRAID installation will never update automatically.

 

Hi Bonienl,

Yes I do have CA auto updates.Could that have caused this? Didn't suspect that as the error was pointing to something dynamix was finding, and wasn't found. Guess I will change that back to manual updates.

 

Array is starting up now, without the error anymore. Why I didn't thought of that lol. Totally forgot about how unraid installs its component during bootup. But i dont have dynamix plg under config/plugins anymore. IS it because it shouldn't be there anymore? Just for understanding purposes, thanks!

Share this post


Link to post

Delete the file /config/plugins/dynamix.plg on your flash device and reboot your system.

 

Are you using CA and have automatic updates enabled? Cause stock unRAID installation will never update automatically.

 

Hi Bonienl,

Yes I do have CA auto updates.Could that have caused this? Didn't suspect that as the error was pointing to something dynamix was finding, and wasn't found. Guess I will change that back to manual updates.

 

Array is starting up now, without the error anymore. Why I didn't thought of that lol. Totally forgot about how unraid installs its component during bootup. But i dont have dynamix plg under config/plugins anymore. IS it because it shouldn't be there anymore? Just for understanding purposes, thanks!

 

dynamix.plg is used to offer a separate update of the webGUI (if present) without requiring to update unRAID itself.

 

When no dynamix.plg file is present on the flash, unRAID will use the built-in version of the webGUI.

 

 

Share this post


Link to post

Delete the file /config/plugins/dynamix.plg on your flash device and reboot your system.

 

Are you using CA and have automatic updates enabled? Cause stock unRAID installation will never update automatically.

 

Just had this problem also, how do you clean shutdown from command line ?

Share this post


Link to post

Just had this problem also, how do you clean shutdown from command line ?

The normal command to do this is 'powerdown'.  Not sure if that works OK on 6.1.9 if the GUI is playing up.

Share this post


Link to post

Thanks, tried that and everything apart from cache unmounted so just did a reboot and started a parity check.

 

One thing I don't understand, I didn't think I'd installed any third party dynamix plugin - looking at the GUI now under plugins it reports dynamix webgui by bergware 2016.03.04.

 

So how do I uninstall this as there is no option, I just want pure unRAID as don't like these things happening where I randomly lose GUI access ?

Share this post


Link to post

Thanks, tried that and everything apart from cache unmounted so just did a reboot and started a parity check.

 

One thing I don't understand, I didn't think I'd installed any third party dynamix plugin - looking at the GUI now under plugins it reports dynamix webgui by bergware 2016.03.04.

 

So how do I uninstall this as there is no option, I just want pure unRAID as don't like these things happening where I randomly lose GUI access ?

 

What do you mean? Dynamix webGUI is the built-in GUI.

 

Share this post


Link to post

What I mean is why did this suddenly just break ?

 

The implication is I installed a 3rd party dynamix plugin and moving it out of the way per the earlier note fixed it.

 

So "Bergware" is part of official Limetech ?

Share this post


Link to post

What I mean is why did this suddenly just break ?

 

Apparently with CA installed and auto-update enabled, a (undesired) update of the webGUI happened. Why? It isn't clear as it was not suppose to happen.

 

The implication is I installed a 3rd party dynamix plugin and moving it out of the way per the earlier note fixed it.

 

So "Bergware" is part of official Limetech ?

 

Dynamix webGUI is the integrated GUI since unRAID 6.0.

 

Share this post


Link to post

Same thing happened to me.  An update for the webUI WAS AVAILABLE for those still running 6.1.9. 

 

CA merely installs what the plugin manager says is available (except for the OS)

 

I also had to delete dynamix.plg to restore the server at which point the UI referred to 03

05.  At that point no more UI updates would ever show back up.

 

Can't remember if 03.05 is the last version that was available for 6.1.9 however

 

But this is purely 100% a limetech issue, not a CA issue because if the webUI update was incompatible it should not have been offered separately (nor be able to be installed for that matter)

 

As an aside I did post a little note about this in the 6.2 thread yesterday  http://lime-technology.com/forum/index.php?topic=51874.msg498026#msg498026

 

This is the actual procedure for autoupdates

 

1. Dynamix as part of its daily / monthly / whatever schedule checks for plugin updates.

2. Those updates would show up within the Plugins tab

3. CA at its schedule then looks at what shows an update available for it.

4. Based upon its settings it determines what has been asked to autoupdate

5. It then does another check for updates on that particular plugin (to make sure another update if available is the one that gets installed)

6. Installs the updates.

 

This is all done through the built-in plugin manager.

 

 

Sent from my LG-D852 using Tapatalk

 

Share this post


Link to post

Squid, I am not blaming CA, it can only react on release announcements, it is unfortunate that auto-update did its thing it was suppose to do :)

 

I guess that when LT coupled the 6.1 and 6.2 trains on github to allow both 6.1 and 6.2 users to upgrade, this is a (unwanted) side-effect, more investigation required though.

 

The latest webGUI release for unRAID 6.1.9 is 2016.07.27, the March version is the built-in one.

 

Share this post


Link to post

Squid, I am not blaming CA, it can only react on release announcements, it is unfortunate that auto-update did its thing it was suppose to do :)

 

I guess that when LT coupled the 6.1 and 6.2 trains on github to allow both 6.1 and 6.2 users to upgrade, this is a (unwanted) side-effect, more investigation required though.

 

The latest webGUI release for unRAID 6.1.9 is 2016.07.27, the March version is the built-in one.

Yeah I figured it wasn't up to date.  But since I can't get it back to where its supposed to be (like I said no amount of checking will allow me to get to a later version), so I can't investigate it further either.

Share this post


Link to post

Delete the file /config/plugins/dynamix.plg on your flash device and reboot your system.

 

Are you using CA and have automatic updates enabled? Cause stock unRAID installation will never update automatically.

 

Just wanted to say thanks. I had the same issue and you solved it for me.

 

Share this post


Link to post

The latest webGUI release for unRAID 6.1.9 is 2016.07.27, the March version is the built-in one.

 

My UNRAID updated automatically as well. Deleted the dynamix.plg andd all was well again but dynamix is not showing an update to 2016.07.27.

 

As I'm staying on 6.1.9 for now do I need this update.

 

Kevin.

Share this post


Link to post

dynamix.plg is used to offer a separate update of the webGUI (if present) without requiring to update unRAID itself.

 

When no dynamix.plg file is present on the flash, unRAID will use the built-in version of the webGUI.

 

I've got the same issue here, however the /dynamix.plg file doesn't exist on my flash. Based on the above, I'm running the built-in version of the webGUI (now showing as v2016.09.15).

I've rebooted my system, but I'm still seeing the same error. How can I revert back to a version that works with 6.1.9 if I don't have the /dynamix.plg file to delete?

Share this post


Link to post

The latest webGUI release for unRAID 6.1.9 is 2016.07.27, the March version is the built-in one.

 

My UNRAID updated automatically as well. Deleted the dynamix.plg andd all was well again but dynamix is not showing an update to 2016.07.27.

 

As I'm staying on 6.1.9 for now do I need this update.

 

Kevin.

Actually lots of big fixes in the later versions.  Goes back to a point I made months ago that ui updates should be a point release of the os.

 

Because since 6.1.9 and 6.2 both share the same plugin name for the ui but it's now incompatible with 6.1 any one who needs the bug fixes is unable to get it. Including myself

 

Sent from my LG-D852 using Tapatalk

 

Share this post


Link to post

This is so disappointing. Was this not tested?

In LTs defense nobody would have thought to check this scenario.

 

The plugin system should have disallowed the installation as CA only tried to install what it was told was available.

 

Sent from my LG-D852 using Tapatalk

 

 

Share this post


Link to post

I've got the same issue here, however the /dynamix.plg file doesn't exist on my flash. Based on the above, I'm running the built-in version of the webGUI (now showing as v2016.09.15).

I've rebooted my system, but I'm still seeing the same error. How can I revert back to a version that works with 6.1.9 if I don't have the /dynamix.plg file to delete?

 

The actual path for the file on my system was /boot/config/plugins not /config/plugins, try there.

 

Share this post


Link to post

This is so disappointing. Was this not tested?

 

It is beyond the scope of LT to test any 3rd party plugins which users may have installed.

 

Share this post


Link to post

This is so disappointing. Was this not tested?

 

It is beyond the scope of LT to test any 3rd party plugins which users may have installed.

100% true.

 

Problem here is that my opinion is that unraid should have disallowed the update because it was incompatible.  And the plugin system still effectively told CA that an update was available.

 

But this scenario actually brings to the forefront a different issue regarding limetechs workflow as a whole.

 

While they have publicly stated that 6.1.9 is no longer supported, what they also effectively done is pulled all of the available ui updates for 6.1.9 completely.

 

One minute before 6.2 was released you could still fix the 6.1.9 issue of host paths having spaces in them.  The second 6.2 was released you could no longer do this without upgrading to 6.2.  Its one thing to EOL a product.  Its another to disallow all the cumulative updates to it.

 

 

But that's neither here nor there.  The issue at hand is how to stop the damage from spreading further.  And that unfortunately is out of my hands and is squarely in LTs hand.

 

Sent from my LG-D852 using Tapatalk

 

 

Share this post


Link to post

 

It is beyond the scope of LT to test any 3rd party plugins which users may have installed.

 

This is what I don't understand, I did not knowingly install any 3rd party Dynamix WebGui plugin ?!

Share this post


Link to post

No But You had CA set to auto update the webUI.l (which is not the default setting)  And this is a situation that no one (myself, bonienl and limetech) anticipated or even remotely thought of

 

Sent from my LG-D852 using Tapatalk

 

Share this post


Link to post

+1

Got done too.

Got an email saying Dynamix updated!

 

Thanks for the instructions to fix. All sorted now.

 

 

Sent from my iPhone using Tapatalk

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.